浏览模式: 标准 | 列表

我从 WordPress 转到 SaBlog-X 已经有快 1 年了,现在使用的是 SaBlog-X 1.6 版本,今天用了一下 Google 刚出的浏览器 Chrome,发现在这个浏览器中无法使用 SaBlog-X 发文章,主要是 SaBlog-X 中的 FckEditor 编辑器的问题,但是到 FckEditor 官方网站上去看了一下,发现其实最新版本是支持的,然后又查看了一下 SaBlog-X 1.6 中 FckEditor 的代码,发现其实只要做少许改动(只需要把判断浏览器支持的地方做一下修改),就可以支持 Chrome 了,而且还可以支持 Opera 9.5、Safari 3.1。

这里是修改后的三个文件: editor.zip

只需要把他们解压缩后,覆盖掉 /admin/editor 下的那三个文件就可以了。

» 阅读全文